summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0009variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0009variable_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0009variable_014
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0009variable_0 b/tests/shell/testcases/nft-f/0009variable_0
new file mode 100755
index 0000000..e073d86
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0009variable_0
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+RULESET="define concat-set-variable = { 10.10.10.10 . 25, 10.10.10.10 . 143 }
+
+table inet forward {
+ set concat-set-variable {
+ type ipv4_addr . inet_service
+ elements = \$concat-set-variable
+ }
+}"
+
+$NFT -f - <<< "$RULESET"